
Redmine - Patch #5336

Subtask issue not accessible via REST API

2010-04-16 13:47 - Matthew Schinckel

Status: Closed Start date: 2010-04-16

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Description

When I try to view a subtask using the API, I get an exception: it is trying to access a variable that does not exist.

It turns out there is a variable @issues, but in line 12, it is spelled issues.

Git-patch attached.

Associated revisions

Revision 3677 - 2010-04-17 13:49 - Jean-Philippe Lang

Fixes error on subtask XML format (#5336).

History

#1 - 2010-04-16 13:51 - Matthew Schinckel

- Assignee set to Jean-Philippe Lang

This bug was introduced in r3671.  I hope I am not being presumptuous in assigning it to the author of that changeset!

#2 - 2010-04-17 13:47 - Jean-Philippe Lang

- Status changed from New to Closed

Fix committed in r3677. Thanks.

Files

subtask_api.diff 763 Bytes 2010-04-16 Matthew Schinckel
